import type { WalletConfig } from "@thirdweb-dev/react-core";
import { ImTokenWallet } from "@thirdweb-dev/wallets";
import type { QRModalOptions } from "@thirdweb-dev/wallets/src/evm/connectors/wallet-connect/qrModalOptions";
export type ImTokenWalletConfigOptions = {
    projectId?: string;
    recommended?: boolean;
    /**
     * Specify whether to open the official Wallet Connect  Modal when connecting the wallet if no injected MetaMask provider is found when connecting the wallet.
     *
     * This should not be set if you are using ConnectWallet component and only when manually connecting the wallet using a hook like `useConnect`.
     *
     * You can set it to `true` or a configuration object to enable the Wallet Connect Modal.
     */
    wcModal?: {
        /**
         * Configure the style of Wallet Connect Modal.
         */
        qrModalOptions?: QRModalOptions;
    } | boolean;
};
export declare const imTokenWallet: (options?: ImTokenWalletConfigOptions) => WalletConfig<ImTokenWallet>;
//# sourceMappingURL=imTokenWallet.d.ts.map